Name: kmess
Version: 2.0.6.1
Release: 13%{?dist}
Summary: Messaging client for MSN
Group: Applications/Internet
License: GPLv2+

URL: http://www.kmess.org/
Source0: http://downloads.sourceforge.net/kmess/kmess-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches
# mark kmessendpluginlib explicitly as a static convenience lib
patch51: kmess-2.0.6.1-kmesssendpluginlib_static.patch

#New Patch for the "Not Showing Contact List" Problem
patch52: kmess-2.0.6.1-follow-location-redirects.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  qca2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  qca-ossl
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  giflib-devel
BuildRequires:  libgcrypt-devel

## removed konqueror integration till the bugs are worked out
## is "the bugs" ^^ the same as what is fixed in Patch51/Patch52?
## will assume 'yes', and enable this feature now... -- Rex
%global konq_plugin 1
%if 0%{?konq_plugin}
BuildRequires:  kdebase4-devel
%endif

Provides: bundled(libisf-qt)
#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * LibISF-Qt  <http://www.kmess.org/>
#     Library to manage Microsoft's Mobile Ink
#     Support to send handwriting messages in a format compatible with Windows Live Messenger.
#     In absence of an installed isf-qt version, the bundled version will be compiled.

# knotify and friends, see also http://trac.kmess.org/ticket/350
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: qca-ossl%{?_isa}

%description
KMess is an alternative MSN Messenger chat client for Linux. 
It allows Linux users to chat with friends who use MSN 
Messenger in Windows or Mac OS. The strength of KMess 
is it's integration with the KDE desktop environment, 
focus on MSN Messenger specific features and an easy-to-use 
interface. 

%prep
%setup -q -n %{name}-%{version}

%patch51 -p1 -b .kmesssendpluginlib_static
%patch52 -p1 -b .follow-location-redirects

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kmess --with-kde || (touch kmess.lang; echo 'NOTICE: translations missing!')


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmess.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f kmess.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README
%{_kde4_configdir}/kmesschatstyles.knsrc
%{_kde4_bindir}/kmess
%{_kde4_datadir}/applications/kde4/kmess.desktop
%{_kde4_datadir}/emoticons/KMess-new/
%{_kde4_appsdir}/kmess/
%{_kde4_iconsdir}/hicolor/*/*/kmess.*
%{_kde4_datadir}/sounds/kmess*
%if 0%{?konq_plugin}
%{_kde4_datadir}/kde4/services/kmesssendplugin.desktop
%{_kde4_libdir}/kde4/libkmesssendplugin.so
%endif

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.6.1-12
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 2.0.6.1-9
- Rebuild for new libgcrypt

* Mon Dec 30 2013 Rex Dieter <rdieter@fedoraproject.org> 2.0.6.1-8
- drop explicit Requires: kdebase4 (let rpm autoreq deps pull it in)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 30 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.6.1-3
- Requires: kdebase-runtime

* Wed Nov 23 2011 Manuel Escudero <manuelescudero@xenodesystems.com> 2.0.6.1-2
- Contact List is not Shown (#757410)

* Wed Mar 16 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.6.1-1
- kmess-2.0.6.1 (#676443)
- make qca-ossl dep arch'd
- add minimal kdelibs4 runtime dep

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 31 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.5-2
- Add missing BR

* Sun Oct 31 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.5-1
- Fix connection issues

* Wed Oct 13 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.4-1
- Added a small toggle button on the contact list to quickly enable/disable the "Now Listening" feature.
- Implemented the new KDE4 system tray specification.
- Added ability to drag-and-drop ink drawings from the conversation into the ink editor in order to be edited again.
- Fixed bug which caused KMess to fail to connect, instead giving an "Invalid Command Parameter" error.
- Fixed bug which caused the user's display picture to be reset upon login.
- Fixed bug where status was not changed from Idle upon wake up from sleep.
- Updated many translations.
- And various other smaller updates and fixes...

* Sat Jun 12 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.3-1
- New upstream release

* Sat Jan 30 2010 Steven M. Parrish <smparrish@gmail.com> - 2.0.2-1
- New upstream release

* Fri Jan 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 2.0-3
- Source0: use full URL
- drop explict Requires: qca2
- %%files: fix unowned dirs
- %%check: desktop-file-validate

* Wed Jul 29 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-2
- Correct Summary

* Sun Jul 26 2009 Steven M. Parrish <smparrish@gmail.com> - 2.0-1
- 1st build of official 2.0 release

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-4
- Fixing meta information errors

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-3
- Adding qca-ossl as dependency

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-2
- Fixing some minor mistakes of the meta informations

* Wed May 27 2009 Florian Sievert <info@floriansievert.de> - 2.0beta2-1
- Initial version
